%define upstream_name    MooseX-AuthorizedMethods
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Check roles of the user
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(aliased)
BuildArch: noarch

%description
This method exports the "authorized" declarator that makes a verification
if the user has the required permissions before the acual invocation. The
default verification method will take the "user" method result and call
"roles" to list the roles given to that user.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-12.mga8
+ Revision: 1505381
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-11.mga7
+ Revision: 1285043
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.6.0-10.mga7
+ Revision: 1165587
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.6.0-9.mga7
+ Revision: 1159213
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-8.mga6
+ Revision: 1030330
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.6.0-7.mga6
+ Revision: 949264
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.6.0-6.mga5
+ Revision: 789331
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-5.mga5
+ Revision: 739188
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 513117
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 370138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 0.6.0-1.mga2
+ Revision: 148489
- imported package perl-MooseX-AuthorizedMethods


* Mon Sep 26 2011 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
